# Class NewPluginProjectFromTemplateWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.pde.internal.ui.wizards.NewWizard
org.eclipse.pde.ui.templates.NewPluginProjectFromTemplateWizard

All Implemented Interfaces:
  `IExecutableExtension, IShellProvider, IWizard, org.eclipse.pde.internal.ui.wizards.IDefaultValueConsumer, INewWizard, IWorkbenchWizard`

public abstract class NewPluginProjectFromTemplateWizard extends org.eclipse.pde.internal.ui.wizards.NewWizard implements IExecutableExtension
API class to allow customization of the new plug-in project wizard. Extending this class and implementing the `getTemplateID()` method will create a wizard with the same UI components as the standard new plug-in project wizard. However, instead of asking the user to select a template, the template is predetermined. The template selection page will be skipped going directly to the wizard associated with the template. In addition, if the template requires certain settings (determined by the flags set on the extension), the associated UI components will be disabled so that the user cannot change their value. Other aspects of this wizard including the window title can be edited by overriding methods in the subclass.

Since:
  3.5

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEF_PROJECT_NAME`
Key for storing the project name in the wizard default values
`static final String`
`PLUGIN_POINT`
Key for storign the extension point name in the wizard default values
`static final String`
`TAG_WIZARD`
The extension element that contains the wizard class

### Fields inherited from class Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`NewPluginProjectFromTemplateWizard()`
Constructor to create a new wizard

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
`boolean`
`canFinish()`
`protected abstract String`
`getTemplateID()`
Returns the string id of the template extension to use as the template for the new plug-in project wizard.
`boolean`
`performFinish()`
`void`
`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

### Methods inherited from class org.eclipse.pde.internal.ui.wizards.NewWizard

`getDefaultValue, getSelection, getWorkbench, init, init`

### Methods inherited from class Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IWizard

`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

## Field Details

### DEF_PROJECT_NAME

public static final String DEF_PROJECT_NAME
Key for storing the project name in the wizard default values

See Also:
  - Constant Field Values

### PLUGIN_POINT

public static final String PLUGIN_POINT
Key for storign the extension point name in the wizard default values

See Also:
  - Constant Field Values

### TAG_WIZARD

public static final String TAG_WIZARD
The extension element that contains the wizard class

See Also:
  - Constant Field Values

## Constructor Details

### NewPluginProjectFromTemplateWizard

public NewPluginProjectFromTemplateWizard()
Constructor to create a new wizard

## Method Details

### getTemplateID

protected abstract String getTemplateID()
Returns the string id of the template extension to use as the template for the new plug-in project wizard. Must not return `null`.

Returns:
  string id of the template to use

### addPages

public void addPages()

Specified by:
  `addPages` in interface `IWizard`
Overrides:
  `addPages` in class `Wizard`

### canFinish

public boolean canFinish()

Specified by:
  `canFinish` in interface `IWizard`
Overrides:
  `canFinish` in class `Wizard`

### performFinish

public boolean performFinish()

Specified by:
  `performFinish` in interface `IWizard`
Overrides:
  `performFinish` in class `org.eclipse.pde.internal.ui.wizards.NewWizard`

### setInitializationData

public void setInitializationData(IConfigurationElement config, String propertyName, Object data) throws CoreException

Specified by:
  `setInitializationData` in interface `IExecutableExtension`
Throws:
  `CoreException`